package jp.sourceforge.cfneo.at4ie.utils;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

/**
 * PathUtilのテスト。
 * @author imaitakafumi
 *
 */
public class PathUtilTest {

	/**
	 * getFileExtensionのテスト。
	 * ファイル名。
	 */
	@Test
	public void testGetFileExtension_1() {
		assertEquals(".xls", PathUtil.getFileExtension("test.xls"));
	}
	/**
	 * getFileExtensionのテスト。
	 * 相対パス風ファイル名。
	 */
	@Test
	public void testGetFileExtension_2() {
		assertEquals(".xls", PathUtil.getFileExtension("./aaa/test.xls"));
	}
	/**
	 * getFileExtensionのテスト。
	 * 絶対パス風ファイル名。
	 */
	@Test
	public void testGetFileExtension_3() {
		assertEquals(".xls", PathUtil.getFileExtension("c:\\aaa\\test.xls"));
	}
	/**
	 * getFileExtensionのテスト。
	 * 異常系:null
	 */
	@Test
	public void testGetFileExtension_4() {
		assertEquals(null, PathUtil.getFileExtension(null));
	}
	/**
	 * getFileExtensionのテスト。
	 * 異常系:""
	 */
	@Test
	public void testGetFileExtension_5() {
		assertEquals(null, PathUtil.getFileExtension(""));
	}

}
